#!/bin/bash
# Build the docker container for python log analyzer

logs_dir=/tmp/logs

[[ ! -d "$logs_dir" ]] && mkdir "$logs_dir"

docker run -d -p 8888:8888 -v "$logs_dir":/logs loganalyzer

echo "Connect your browser as shown below"
pid=$(docker ps -l -q)
tmp1=/tmp/t1
tmp2=/tmp/t2
result=$((docker logs --details $pid) 2>&1)
echo $result

echo "Copy your log file into $logs_dir directory"
